import * as React from 'react';
import Viewerjs from 'viewerjs';
import { CommonViewerJsProps } from './types';
export interface ViewerJsReactProps extends CommonViewerJsProps {
    customToolbar?: React.ReactElement;
    viewerjsOptions?: Viewer.Options;
    extraComponent?: React.ReactElement;
    onInit?: () => void;
    onReady?: () => void;
    onShown?: () => void;
    onViewed?: () => void;
    onBeforeClose?: () => void;
    onAfterClose?: () => void;
}
interface ImageDetail {
    index: number;
    image: HTMLImageElement;
    originalImage: HTMLImageElement;
}
export declare const ViewerJsReact: React.ForwardRefExoticComponent<ViewerJsReactProps & React.RefAttributes<{
    getViewer: () => Viewerjs | undefined;
    getCurrentImageDetail: () => ImageDetail | undefined;
}>>;
declare const _default: React.MemoExoticComponent<React.ForwardRefExoticComponent<ViewerJsReactProps & React.RefAttributes<{
    getViewer: () => Viewerjs | undefined;
    getCurrentImageDetail: () => ImageDetail | undefined;
}>>>;
export default _default;
